<apex:page controller="DownloadTableDataCtlr" showHeader="false" sidebar="false" readOnly="true" contentType="application/vnd.ms-excel#{!fileHeader}.xls" cache="true">
	<apex:form >
		<table border="1" cellspacing="0" cellpadding="2">
			<tr rowspan="2">
				<th colspan="{!colCount}">{!fileHeader}</th>
			</tr>
			<tr>
				<apex:repeat value="{!columnHeaders}" var="col">
					<th>{!col}</th>
				</apex:repeat>
			</tr>
			<apex:repeat value="{!downloadData}" var="data">
				<tr>
					<apex:repeat value="{!columnHeaders}" var="col">
						<td>
							<apex:outputText value="{!data[columns[col].Attribute_API_Name__c]}" rendered="{!IF(columns[col].Data_Type__c == 'Text',true,false)}"/>
							<apex:outputText value="{0, number, 0}" rendered="{!IF(columns[col].Data_Type__c == 'Number',true,false)}">
								<apex:param value="{!data[columns[col].Attribute_API_Name__c]}"/>
							</apex:outputText>
                            <apex:outputText value="{0,date,MM-dd-yyyy}" rendered="{!IF(columns[col].Data_Type__c == 'Date',true,false)}">
							     <apex:param value="{!data[columns[col].Attribute_API_Name__c]}"/>
							 </apex:outputText>
						</td>
					</apex:repeat>
				</tr>
			</apex:repeat>
		</table>
	</apex:form>
</apex:page>